/*  $Id: AbstractConfigChecker.java 1188 2011-08-28 11:43:31Z sdevaux $
 *
 * Tabs = 4 chars
 * copyright (C) 2010 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */
package net.eduvax.util;

import java.util.Enumeration;
import java.util.Properties;

/**
 * @version $Id: AbstractConfigChecker.java 1188 2011-08-28 11:43:31Z sdevaux $
 * @author Sebastien Devaux
 */
public abstract class AbstractConfigChecker implements ConfigChecker {
	//----------------------------------------------------
	// ConfigChecker implementation
	public int checkProperty(String name,String value) {
		return CC_INFO;
	}
	//
	public int check(Properties prop) {
		int rc=0;
		Enumeration<Object> keys=prop.keys();
		while (keys.hasMoreElements()) {
			String key=(String)keys.nextElement();
			rc|=checkProperty(key,prop.getProperty(key));
		}
		return rc;
	}
}

